OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
InternalNode< ChildT, Log2Dim >::ValueIterator Class Reference

Visits all tile values in this node, i.e. both inactive and active tiles. More...

`#include <nanovdb/NanoVDB.h>`

Inheritance diagram for InternalNode< ChildT, Log2Dim >::ValueIterator:

## Public Member Functions
| ValueIterator ()
| ValueIterator (const InternalNode *parent)
ValueIterator & | operator= (const ValueIterator &)=default
ValueType | operator* () const
CoordType | getOrigin () const
CoordType | getCoord () const
bool | isActive () const

## Detailed Description

template<typename ChildT, uint32_t Log2Dim = ChildT::LOG2DIM + 1>
class nanovdb::InternalNode< ChildT, Log2Dim >::ValueIterator

Visits all tile values in this node, i.e. both inactive and active tiles.

## Constructor & Destructor Documentation

## ◆ ValueIterator() [1/2]

template<typename ChildT , uint32_t Log2Dim = ChildT::LOG2DIM + 1>

ValueIterator | ( |  | ) |
| inline

## ◆ ValueIterator() [2/2]

template<typename ChildT , uint32_t Log2Dim = ChildT::LOG2DIM + 1>

ValueIterator | ( | const InternalNode * | parent | ) |
| inline

## Member Function Documentation

## ◆ getCoord()

template<typename ChildT , uint32_t Log2Dim = ChildT::LOG2DIM + 1>

CoordType getCoord | ( |  | ) | const
| inline

## ◆ getOrigin()

template<typename ChildT , uint32_t Log2Dim = ChildT::LOG2DIM + 1>

CoordType getOrigin | ( |  | ) | const
| inline

## ◆ isActive()

template<typename ChildT , uint32_t Log2Dim = ChildT::LOG2DIM + 1>

bool isActive | ( |  | ) | const
| inline

## ◆ operator*()

template<typename ChildT , uint32_t Log2Dim = ChildT::LOG2DIM + 1>

ValueType operator* | ( |  | ) | const
| inline

## ◆ operator=()

template<typename ChildT , uint32_t Log2Dim = ChildT::LOG2DIM + 1>

ValueIterator & operator= | ( | const ValueIterator & |  | ) |
| default